MPE_Get_mouse_press(4)

NAME
MPE_Get_mouse_press - Waits for mouse button press

SYNOPSIS
#include "mpe.h"
int MPE_Get_mouse_press( graph, x, y, button )
MPE_XGraph graph;
int *x, *y, *button;

INPUT PARAMETER
graph
    - MPE graphics handle

OUTPUT PARAMETERS
x   - horizontal coordinate of the point where the mouse button was pressed
y   - vertical coordinate of the point where the mouse button was pressed
button
    - which button was pressed: MPE_BUTTON[1-5]

NOTES
This routine waits for mouse button press, blocking until the mouse button is pressed inside this MPE window. When pressed, returns the coordinate relative to the upper right of this MPE window and the button that was pressed.

LOCATION
xmouse.c